<?php

namespace App\Generated\V1_1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ActivityLastMessage extends Message
{
    use ValueHelper;

    protected $activityType;
    protected $result;

    /**
     * @return int|null
     */
    public function getActivityType()
    {
        return $this->activityType;
    }

    public function requestRules()
    {
        return [
            ['activityType', 'activity_type', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
